Skip to main content
PATCH
/
v1
/
knowledge-base
/
knowledge-bases
/
{kb_id}
/
sources
/
{source_id}
/
schedule
Update Source Schedule
curl --request PATCH \
  --url https://api-sandbox.featherhq.com/v1/knowledge-base/knowledge-bases/{kb_id}/sources/{source_id}/schedule \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "auto_sync_enabled": true,
  "sync_interval_seconds": 2
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "provider": "notion",
  "integration_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "config": {},
  "last_sync_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "integration_key": "<string>",
  "connection_nickname": "<string>",
  "connection_metadata": {},
  "auto_sync_enabled": false,
  "sync_interval_seconds": 123,
  "next_sync_at": "2023-11-07T05:31:56Z",
  "last_auto_sync_at": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

Path Parameters

kb_id
string<uuid>
required
source_id
string<uuid>
required

Body

application/json

Configure a source's automatic (cron) re-sync schedule — ENG-196.

sync_interval_seconds is required when enabling; the server-authoritative minimum (kb_scheduled_sync_min_interval_seconds) is enforced in the service layer (this only floors at 1s). Disabling ignores the interval.

auto_sync_enabled
boolean
required
sync_interval_seconds
integer | null
Required range: x >= 1

Response

Successful Response

id
string<uuid>
required
knowledge_base_id
string<uuid>
required
status
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
provider
string
default:notion
integration_connection_id
string<uuid> | null
config
Config · object
last_sync_job_id
string<uuid> | null
integration_key
string | null
connection_nickname
string | null
connection_metadata
Connection Metadata · object
auto_sync_enabled
boolean
default:false
sync_interval_seconds
integer | null
next_sync_at
string<date-time> | null
last_auto_sync_at
string<date-time> | null